MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023666Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2012-12-24 10:182016-04-20 15:50
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0023666: Wrong section curve between attached faces
DescriptionWrong pcurve of the section curve on the face b2
Steps To Reproduceav2d
restore b1.brep b1
restore b2.brep b2
bsection r b1 b2 -2d
explode r e
pcurve c_1 r_1 b2
2dfit
TagsNo tags attached.
Test case numberbugs modalg_6 bug23666
Attached Files? file icon b1.brep (574,052 bytes) 2012-12-24 10:18
? file icon b2.brep (108,431 bytes) 2012-12-24 10:18
png file icon Intersection_c2d_b2.png (49,738 bytes) 2015-11-03 13:28

- Relationships
related to 0021762closedemv Integration new Boolean Operation algorithm to OCC 

-  Notes
(0022814)
emv (developer)
2012-12-24 14:25

This problem has been detected during the testing of new Boolean operation algorithm in the case bugs modalg buc60533.
(0047752)
aml (developer)
2015-11-03 13:31

Dear emv,

Please explain what is wrong in this case. I cannot see any problem.
(0047753)
emv (developer)
2015-11-03 13:54

The curve is self-interfered. Try this:
2dintersect c_1 c_1
(0047780)
aml (developer)
2015-11-05 08:18

I
intersect and 2dintersect cannot be used for self-intersection search:

pload ALL
line l1 0 0 1 0
trim c2d l1 -1 1
2dintersect c2d c2d

result: each point is point of self intersection

II
I've analyzed results of 2dintersect for result curve, there are no points except from same parameter which are close in 2d space.
(0047828)
emv (developer)
2015-11-05 14:58
edited on: 2015-11-05 14:59

Dear bugmaster,

As it turned out that the curve is correct and there is no problem with General Fuse operation on these shapes, please create the following test case and close the issue.
restore b1.brep b1
restore b2.brep b2
bclearobjects
bcleartools
baddobjects b1
baddtools b2
bfillds
bbuild r
# the r must contain 4 faces

(0048955)
git (administrator)
2015-12-10 15:24

Branch CR23666 has been created by mkv.

SHA-1: 52e29a3f6eda70d5252a96ee9597fd907718e124


Detailed log of new commits:

Author: mkv
Date: Thu Dec 10 15:24:35 2015 +0300

    Test case for issue CR23666
(0048956)
mkv (tester)
2015-12-10 15:25

Dear emv,
could you please review following test case
bugs modalg_6 bug23666

It is OK:
http://occt-tests/CR26949-master-occt-64/Debian70-64/bugs/modalg_6/bug23666.html [^]
http://occt-tests/CR26949-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug23666.html [^]
bugs modalg_6 bug23666: OK
(0049007)
emv (developer)
2015-12-11 09:16

Test case is OK.
(0049119)
git (administrator)
2015-12-14 18:00

Branch CR23666 has been updated by mkv.

SHA-1: 1b8ca19b3c3d000c216e37beb0e27465509805fc


Detailed log of new commits:

Author: mkv
Date: Mon Dec 14 18:00:34 2015 +0300

    Small correction of test case in accordance with changes of issue 25945

(0049120)
mkv (tester)
2015-12-14 18:01

Dear BugMaster,
Branch CR23666 is TESTED.
(0053045)
git (administrator)
2016-04-17 14:07

Branch CR23666 has been deleted by kgv.

SHA-1: 1b8ca19b3c3d000c216e37beb0e27465509805fc

- Related Changesets
occt: master 64b47061
Timestamp: 2015-12-10 12:24:35
Author: mkv
Committer: bugmaster
Details ] Diff ]
0023666: Wrong section curve between attached faces

Test case for issue CR23666

Small correction of test case in accordance with changes of issue 25945
add - tests/bugs/modalg_6/bug23666 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-12-24 10:18 emv New Issue
2012-12-24 10:18 emv Assigned To => abv
2012-12-24 10:18 emv File Added: b1.brep
2012-12-24 10:18 emv File Added: b2.brep
2012-12-24 14:22 emv Relationship added related to 0021762
2012-12-24 14:25 emv Note Added: 0022814
2015-04-19 19:19 abv Assigned To abv => aml
2015-04-19 19:19 abv Status new => assigned
2015-04-19 19:19 abv Target Version => 7.1.0
2015-11-03 13:28 aml File Added: Intersection_c2d_b2.png
2015-11-03 13:31 aml Note Added: 0047752
2015-11-03 13:31 aml Assigned To aml => emv
2015-11-03 13:31 aml Status assigned => feedback
2015-11-03 13:53 emv Assigned To emv =>
2015-11-03 13:53 emv Assigned To => aml
2015-11-03 13:54 emv Note Added: 0047753
2015-11-05 08:18 aml Note Added: 0047780
2015-11-05 08:18 aml Assigned To aml => emv
2015-11-05 14:54 emv Assigned To emv => bugmaster
2015-11-05 14:58 emv Note Added: 0047828
2015-11-05 14:59 emv Note Edited: 0047828 View Revisions
2015-11-06 09:59 bugmaster Assigned To bugmaster => apn
2015-12-08 10:29 bugmaster Assigned To apn => mkv
2015-12-10 15:24 git Note Added: 0048955
2015-12-10 15:25 mkv Note Added: 0048956
2015-12-10 15:26 mkv Assigned To mkv => emv
2015-12-10 15:26 mkv Test case number => bugs modalg_6 bug23666
2015-12-11 09:16 emv Note Added: 0049007
2015-12-11 09:16 emv Assigned To emv => mkv
2015-12-11 09:16 emv Status feedback => reviewed
2015-12-14 18:00 git Note Added: 0049119
2015-12-14 18:01 mkv Note Added: 0049120
2015-12-14 18:01 mkv Assigned To mkv => bugmaster
2015-12-14 18:01 mkv Status reviewed => tested
2015-12-18 15:25 bugmaster Changeset attached => occt master 64b47061
2015-12-18 15:25 bugmaster Status tested => verified
2015-12-18 15:25 bugmaster Resolution open => fixed
2015-12-21 12:53 bugmaster Target Version 7.1.0 => 7.0.0
2016-04-17 14:07 git Note Added: 0053045
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker